# Getestet mit Python 3.11.6 und PySide 6.5.3

import PySide6.QtWidgets as widgets
import PySide6.QtCore as core
import PySide6.QtGui as gui

class MeinWidget(widgets.QWidget):
    def __init__(self, parent : widgets.QWidget|None = None):
        super().__init__(parent)
        self.anzeige = True
        self.color_L = 96
        self.color_R = 96
    def paintEvent(self, event: gui.QPaintEvent) -> None:
        super().paintEvent(event)
        painter = gui.QPainter(self)
        painter.fillRect(core.QRectF(0.0, 0.0, self.width(), self.height()),
                         gui.QBrush(gui.QColor()))
        if self.anzeige:
            painter.fillRect(core.QRectF(0.1 * self.width(), 0.1 * self.height(), 0.35 * self.width(), 0.8 * self.height()),
                             gui.QBrush(gui.QColor.fromRgb(self.color_L, self.color_L, self.color_L)))
            painter.fillRect(core.QRectF(0.55 * self.width(), 0.1 * self.height(), 0.35 * self.width(), 0.8 * self.height()),
                             gui.QBrush(gui.QColor.fromRgb(self.color_R, self.color_R, self.color_R)))
        painter.end()