﻿# Getestet mit Python 3.11.6 und PySide 6.5.3

import sys
import random
import PySide6.QtWidgets as widgets
import PySide6.QtCore as core
import PySide6.QtUiTools as uic
from MeinWidget import MeinWidget

# Viele rote Kringel, weil die Typen erst bekannt sind, wenn der QUiLoader gelaufen ist.
# Man könnte mit typing.cast abhelfen, aber das wird unübersichtlich.

def clickLinks():
    click(0)

def clickRechts():
    click(1)

def click(welcherButton):
    if w.widget.anzeige:
        f.write(str(w.widget.color_L) + "," + str(w.widget.color_R) + "," + str(welcherButton) + "\n")
        w.widget.anzeige = False
        timer.start()
        w.widget.update()
    
def zeige():
    w.widget.anzeige = True
    w.widget.color_R = w.widget.color_L + random.randint(-15, 15)
    w.widget.update()

timer = core.QTimer()
timer.setInterval(500) # Pause für schwarzes Bild zwischen den Tests
timer.setSingleShot(True)
timer.timeout.connect(zeige)
f = open("jnd.csv", "w")

app = widgets.QApplication(sys.argv)

loader = uic.QUiLoader()
# In der UI-Datei ist ein QWidget als Platzhalter für unser Widget eingetragen.
# Dazu im Qt Designer Mausklick rechts auf das Widget und als Klasse MeinWidget, als Header MeinWidget.h (!) angeben

loader.registerCustomWidget(MeinWidget)
w = loader.load("jnd.ui")

w.pushButton_links.clicked.connect(clickLinks)
w.pushButton_rechts.clicked.connect(clickRechts)

w.show()
timer.start()
sys.exit(app.exec())